#
# spec file for package KTrafficAnalyzer (Version 0.5.1)
#
# Copyright 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright Wolfgang 'Viras' Koller <viras@users.sourceforge.net>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

%define setupversion 0.5.1-1

Summary: KDE Tool for providing visual feedback of the current network traffic
Name: KTrafficAnalyzer
Version: 0.5.1
Release: 1
License: GPLv2+
Group: System/Monitoring
Source: %{name}-%{setupversion}.tar.bz2
Requires: kdelibs4
BuildRoot: %{_tmppath}/build-%{name}-%{version}
BuildRequires: libkde4-devel libqt4-devel
Packager: Wolfgang 'Viras' Koller <viras@users.sourceforge.net>
Patch0: openSuSE11.0.patch

%description
KTrafficAnalyzer is a KDE Tool designed to provide visual feedback of the current network traffic, similar to tools like e.g. DU Meter.

%prep
%setup -n "%{name}-%{setupversion}"
%if %suse_version == 1100
%patch0
%endif

%build
%cmake_kde4
#cd %{buildroot}/builddir
%__make

%install
%__install -D -m0755 ktrafficanalyzer "%{buildroot}%{_bindir}/ktrafficanalyzer"
%__ln_s "ktrafficanalyzer" "%{buildroot}%{_bindir}/KTrafficAnalyzer"
%kde_post_install

%files
%defattr(-,root,root)
%{_bindir}/KTrafficAnalyzer
%{_bindir}/ktrafficanalyzer
