/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _REMOTEREAD_H_
#define _REMOTEREAD_H_

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

#include <kprocess.h>
#include <kpty.h>
#include <QtCore/qstringlist.h>

class remoteRead : public KProcess {
	public:
		remoteRead();
		~remoteRead();

		void setDebug( bool );
		void login( char * );
		void logout();
		int readPtyUntil( char*, char* = NULL );
		int readPtyLine( char* );
		int writePtyLine( char* );

	protected:
		bool bLoggedIn;
		bool bDebug;
};

#endif //_REMOTEREAD_H_
