/* 
 * File:   DailyStatsWidget.h
 * Author: wkoller
 *
 * Created on 17. November 2009, 19:42
 */

#ifndef _DAILYSTATSWIDGET_H
#define	_DAILYSTATSWIDGET_H

#include <QtCore/QStringList>

#include <kglobal.h>
#include <kfiledialog.h>
#include <kmessagebox.h>

#include "ui_TrafficWidget.h"
#include "KTAStats.h"

class DailyStatsWidget : public QWidget, protected Ui::TrafficStatsWidget {
    Q_OBJECT

public:
    DailyStatsWidget( QWidget *parent = 0 );

protected:
    virtual void readStats();
    void showEvent( QShowEvent* );

    bool bStatsRead;

public slots:
    virtual void updateStatistics( int index );
    void on_exportButton_clicked();     // Called when the export button gets clicked, connected by "connectSlotsByName"
};

#endif	/* _DAILYSTATSWIDGET_H */

