/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the Free Software           *
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             *
 *                                                                         *
 ***************************************************************************/

#include "KTAStatsHandler.h"

//Constructor
KTAStatsHandler::KTAStatsHandler( QString interfaceName ) {
	//Check if our stats directory exists
	QDir::setCurrent( "~" );
	QDir *dirHandler = new QDir();
	if( !dirHandler->exists( "ktastats" ) ) {
		if( !dirHandler->mkdir( "ktastats" ) ) {
			KMessageBox::error( NULL, "Couldn't create stats directory - something is wrong here - giving up!", "Fatal Error" );
			exit(0);
		}
	}
	//Change into stats-directory
	QDir::setCurrent( "~/ktastats/" );

	//Try to open stats file
	this->interfaceStatsFile = new QFile( interfaceName.append( ".stats" ) );
//	this->interfaceStatsFile.
}
