/****************************************************************************
** Form implementation generated from reading ui file 'settings_traffic.ui'
**
** Created: Fr Feb 18 21:31:01 2005
**      by: The User Interface Compiler ($Id: MonthlyStatsWidget.cpp,v 1.1.1.1 2009/10/30 16:25:40 viras Exp $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "MonthlyStatsWidget.h"
#include "MonthlyStatsWidget.moc"

/*
 *  Constructs a TrafficStatsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MonthlyStatsWidget::MonthlyStatsWidget( QWidget* parent, Qt::WindowFlags f )
    : TrafficStatsWidget( parent, f )
{
    this->readStats();
}

/*
 *  Destroys the object and frees any allocated resources
 */
MonthlyStatsWidget::~MonthlyStatsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

void MonthlyStatsWidget::showEvent( QShowEvent *event ) {
	this->readStats();

	//Make sure last item is shown
	trafficTable->ensureCellVisible( trafficTable->numRows() - 1, 1 );
}

//Read stats
void MonthlyStatsWidget::readStats() {
	//Get information
	QStringList dates( KTAStats::dates() );
	QStringList uploads( KTAStats::uploads() );
	QStringList downloads( KTAStats::downloads() );

	//Reset table
	trafficTable->setNumRows( 0 );

	QString oldTmpDate;
	for ( int i = 0; i < dates.count(); i++ ) {
		QString dateSub = dates[i].right( 7 );

		if( QString::compare( oldTmpDate, dateSub ) != 0 ) {
			trafficTable->setNumRows( trafficTable->numRows() + 1 );
			trafficTable->verticalHeader()->setLabel( trafficTable->numRows() - 1, dateSub );
			oldTmpDate = dateSub;
		}
		int currRow = trafficTable->numRows() - 1;
		trafficTable->setText( currRow, 0, QString::number( uploads[i].toFloat() + trafficTable->text( currRow, 0 ).toFloat() ) );
		trafficTable->setText( currRow, 1, QString::number( downloads[i].toFloat() + trafficTable->text( currRow, 1 ).toFloat() ) );
		trafficTable->setText( currRow, 2, QString::number( downloads[i].toFloat() + uploads[i].toFloat() + trafficTable->text( currRow, 2 ).toFloat() ) );
	}
	//Now replace with formatted values
	for( int i = 0; i < trafficTable->numRows(); i++ ) {
		trafficTable->setText( i, 0, getFormattedValue( trafficTable->text( i, 0 ).toFloat() ) );
		trafficTable->setText( i, 1, getFormattedValue( trafficTable->text( i, 1 ).toFloat() ) );
		trafficTable->setText( i, 2, getFormattedValue( trafficTable->text( i, 2 ).toFloat() ) );
	}
}
